Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.newdawn.slick.opengl
Class EmptyImageData

    java.lang.Object
      org.newdawn.slick.opengl.EmptyImageData

All Implemented Interfaces:
  ImageData

    public class EmptyImageData

extends java.lang.Object
implements ImageData

An image data implementation which represents an empty texture

Author:
  kevin

Constructor Summary
`EmptyImageData(int width, int height)` Create an empty image data source

Method Summary
`int` | `getDepth()` Get the last bit depth read from a TGA
`int` | `getHeight()` Get the last height read from a TGA
`java.nio.ByteBuffer` | `getImageBufferData()` Get the store image
`int` | `getTexHeight()` Get the ast required texture height for a loaded image
`int` | `getTexWidth()` Get the last required texture width for a loaded image
`int` | `getWidth()` Get the last width read from a TGA

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyImageData

    public EmptyImageData(int width,
                          int height)

  Create an empty image data source

  Parameters:
    `width` - The width of the source
    `height` - The height of the source

Method Detail

### getDepth

    public int getDepth()

  Description copied from interface: `ImageData`
  Get the last bit depth read from a TGA

  Specified by:
    `getDepth` in interface `ImageData`
  Returns:
    The last bit depth read
  See Also:
    `ImageData.getDepth()`

### getHeight

    public int getHeight()

  Description copied from interface: `ImageData`
  Get the last height read from a TGA

  Specified by:
    `getHeight` in interface `ImageData`
  Returns:
    Get the last height in pixels fread from a TGA
  See Also:
    `ImageData.getHeight()`

### getImageBufferData

    public java.nio.ByteBuffer getImageBufferData()

  Description copied from interface: `ImageData`
  Get the store image

  Specified by:
    `getImageBufferData` in interface `ImageData`
  Returns:
    The stored image
  See Also:
    `ImageData.getImageBufferData()`

### getTexHeight

    public int getTexHeight()

  Description copied from interface: `ImageData`
  Get the ast required texture height for a loaded image

  Specified by:
    `getTexHeight` in interface `ImageData`
  Returns:
    Get the ast required texture height for a loaded image
  See Also:
    `ImageData.getTexHeight()`

### getTexWidth

    public int getTexWidth()

  Description copied from interface: `ImageData`
  Get the last required texture width for a loaded image

  Specified by:
    `getTexWidth` in interface `ImageData`
  Returns:
    Get the ast required texture width for a loaded image
  See Also:
    `ImageData.getTexWidth()`

### getWidth

    public int getWidth()

  Description copied from interface: `ImageData`
  Get the last width read from a TGA

  Specified by:
    `getWidth` in interface `ImageData`
  Returns:
    Get the last width in pixels fread from a TGA
  See Also:
    `ImageData.getWidth()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 New Dawn Software. All Rights Reserved.